Skip to main content
`Ctrl`+`K`

# TSTrajectoryGetType

Gets the trajectory type

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryGetType(TSTrajectory tj, TS ts, TSTrajectoryType *type)

Collective

## Input Parameters

- tj - the `TSTrajectory` context

- ts - the `TS` context

## Output Parameter

- type - a known method

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSTrajectory`, `TSTrajectoryCreate()`, `TSTrajectorySetFromOptions()`, `TSTrajectoryDestroy()`, `TSTrajectorySetType()`

## Level

developer

## Location

src/ts/trajectory/interface/traj.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages